highflybird Posted January 15, 2014 Posted January 15, 2014 (edited) Hey guys, This program can do like this: Only can choose pline, unsupported line , How to make it support Line ? Thanks for any help! opening.lsp Edited January 16, 2014 by highflybird Quote
BIGAL Posted January 16, 2014 Posted January 16, 2014 Opened code seems over the top for a pretty simple task ? Also there is a language problem. Draw circle and use trim ? Quote
highflybird Posted January 16, 2014 Author Posted January 16, 2014 Opened code seems over the top for a pretty simple task ? Also there is a language problem. Draw circle and use trim ? BIGAL,Thank you! How to support line? Quote
MSasu Posted January 16, 2014 Posted January 16, 2014 Easiest way will be to call first PEDIT built-in command to convert the lines to a polyline - either manually or by code. As for your code, it is filled with a lot of special characters, so will be very dificult for one to attempt to adjust it. Quote
highflybird Posted January 16, 2014 Author Posted January 16, 2014 Make the lines a polyline? I think is feasible, but I can't Quote
highflybird Posted January 16, 2014 Author Posted January 16, 2014 Easiest way will be to call first PEDIT built-in command to convert the lines to a polyline - either manually or by code. As for your code, it is filled with a lot of special characters, so will be very dificult for one to attempt to adjust it. Thank you Msasu,Can ues "PEDIT" ,but I want change in the codes,I have already upload again opening.lsp Quote
BIGAL Posted January 16, 2014 Posted January 16, 2014 I still think code is over top just did add circle then trim 3 picks, PE join 3 objects ? even using the co-ords of the pline it would be simple to do mathmatically create a new pline. Quote
highflybird Posted January 17, 2014 Author Posted January 17, 2014 I still think code is over top just did add circle then trim 3 picks, PE join 3 objects ? even using the co-ords of the pline it would be simple to do mathmatically create a new pline. Not quite understand. Quote
ReMark Posted January 17, 2014 Posted January 17, 2014 The lisp routine already references the use of lwpolyline and polyline. Now you want to add a reference for the line command as well? Couldn't you borrow the code below and change "polyline" to "line" and insert it below the code that is already there? Quote
SLW210 Posted January 17, 2014 Posted January 17, 2014 Please read the Code posting guidelines and edit your post to include the Code in Code Tags. Quote
ReMark Posted January 17, 2014 Posted January 17, 2014 Are you talking to me re: code posting guidelines? Quote
SLW210 Posted January 17, 2014 Posted January 17, 2014 Are you talking to me re: code posting guidelines? Yes I am. ................................... Quote
ReMark Posted January 17, 2014 Posted January 17, 2014 FYI - The code can't be edited because it is an image. Quote
flyfox1047 Posted January 20, 2014 Posted January 20, 2014 This? (defun c:test ( / peditaccept ss ) (if (setq ss (ssget "_:L" '((0 . "ARC,LINE,LWPOLYLINE")))) (progn (setq peditaccept (getvar 'peditaccept)) (setvar 'peditaccept 1) (command "_.pedit" "_M" ss "" "_J" "" "") (setvar 'peditaccept peditaccept) ) ) (princ) ) Quote
highflybird Posted January 22, 2014 Author Posted January 22, 2014 This? Can you help me change my uploaded files? thank you! Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.